% G.V. Anguelova
% 07-06-2022

%% split input (X_sin) en output (Y_sin) data in train en test data
% first 300 are 'epil' (=1), the last 700 normal (=0)
% for test use the first 50 (epil) and the last 100 (normal)

% input variabel
% test
X_test_epil = X_sin(1:50,:,:);
X_test_nl = X_sin(901:1000,:,:);
X_test = [X_test_epil; X_test_nl];
% train
X_train = X_sin(51:900,:,:);

% output variabel
% test
Y_test_epil = Y_sin(1:50,:);
Y_test_nl = Y_sin(901:1000,:);
Y_test = [Y_test_epil; Y_test_nl];
% train
Y_train = Y_sin(51:900,:);


%% plot dummy var

for k = 101:103 % 1 figure for each epoch
    figure
    for i = 1:18 % 1 subplot for each EEG channel in 'dubbele banaan'
        subplot(18,1,i);
        plot(X_sin(k,:,i))
        hold on
        xlim([0 250]);
        ylim([-17 17]);
        ylabel(seizureLocations.labels(1,i)) % EEG channel
        ax = gca;
        ax.Position(4) = 1.5*ax.Position(4);
        grid on
    end
    
    title(k)
    grid on
    pos = get(gcf, 'Position');
    set(gcf, 'Position',pos+[0 0 -400 500])
    set(gca,'YtickLabel',{'Cz-Pz','Fz-Cz','P3-O1','C3-P3','F3-C3','Fp1-F3','P4-O2','C4-P4','F4-C4','Fp2-F4','T5-O1','T3-T5','F7-T3','Fp1-F7','T6-O2','T4-T6','F8-T4','Fp2-F8'});
    set(gca,'XtickLabel',{'0','1','2'});

end

